Bug 861036 - Package katello-agent does not have a signature in deployed CloudForms instance
Package katello-agent does not have a signature in deployed CloudForms instance
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 07:20 EDT by Milan Falešník
Modified: 2014-01-27 09:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 09:26:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm verify commands of katello in RHEL5 (RHEL6 is similar) (4.34 KB, application/octet-stream)
2012-09-27 07:20 EDT, Milan Falešník
no flags Details

  None (edit)
Description Milan Falešník 2012-09-27 07:20:51 EDT
Created attachment 618012 [details]
rpm verify commands of katello in RHEL5 (RHEL6 is similar)

Description of problem:
When you deploy CloudForms instance generated by System Engine by Cloud Engine, all packages in the system are signed except katello-agent.

Version-Release number of selected component (if applicable):
katello-agent-1.1.2-1.el5
katello-agent-1.1.2-1.el6cf

How reproducible:
Always

Steps to Reproduce:
1. Create component outline in Katello
2. Import outline into CloudEngine, build, push and deploy the instance
3. Check all packages for signature
  
Actual results:
katello-agent is unsigned.

Expected results:
All packages are signed

Additional info:
Comment 2 James Laska 2012-10-31 09:26:07 EDT
I suspect the katello-agent tested was installed from a puddle.  Puddles are *not* signed.  Installing katello-agent from RHN || CDN works as expected ...

> # rpm -qvv katello-agent 2>&1 | grep -i signature
> D:  read h#     649 Header V3 RSA/SHA256 Signature, key ID f21541eb: OK
> 
> # rpm -Vvv katello-agent 2>&1 | grep -i signature
> D:  read h#     649 Header V3 RSA/SHA256 Signature, key ID f21541eb: OK
> D:  read h#     640 Header V3 RSA/SHA256 Signature, key ID f21541eb: OK
> D:  read h#     641 Header V3 RSA/SHA256 Signature, key ID f21541eb: OK
> D:  read h#     642 Header V3 RSA/SHA256 Signature, key ID fd431d51: OK

Note You need to log in before you can comment on or make changes to this bug.